Bug 235345 - Include mac80211 wpa support patches
Include mac80211 wpa support patches
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-04-05 06:21 EDT by drago01
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-10 18:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lockdep error (28.16 KB, text/plain)
2007-05-01 10:08 EDT, drago01
no flags Details

  None (edit)
Description drago01 2007-04-05 06:21:35 EDT
Description of problem:

The F7 kernel uses many mac80211 based drivers. This drivers do not support
wpa/wpa2 when used with networkmanager. I asked upstream (linux-wireless) what
is causing this and Michael Wu created two (simple) patches that adds this
support. We should include this patches in the F7 kernels else many users will
complain about being unable to use wpa/wpa2 encrypted networks.

Patch1: "Update we_version_source and set enc_capa in iw_range."

Patch2: "Use IWEVGENIE which was defined in WE-18."
Comment 1 John W. Linville 2007-04-09 16:44:54 EDT
I have added those patches to the test kernels here:


Please give them a try and post the results here...thanks!
Comment 2 drago01 2007-04-10 03:17:10 EDT
ok let me quote my email to linux-wireless (after testing your kernel):
ok I tested it again with linvilles f7 test kernel (wireless-git + your patches
+ iwlwifi).
again nm detect the card as wpa and it finds the wpa enabled network. But it
fails to connect (does not even ask for a key). So I tryed to use wpa_supplicant
by hand ( with a config that works fine with ipw3945 ; ieee80211) . Its seems
not to be related to iwlwifi but to a ioctl that mac80211 does not support (when
used with wext).
Own MAC address: 00:18:de:05:f7:9e
wpa_driver_wext_set_key: alg=0 key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_wext_set_key: alg=0 key_idx=3 set_tx=0 seq_len=0 key_len=0
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - wpa_driver_wext_set_drop_unencrypted
ioctl[SIOCSIWAUTH]: Operation not supported
notice the *ioctl[SIOCSIWAUTH]: Operation not supported* what is SIOCSIWAUTH and
how does it not being supproted affect wpa/wext support?
still does not work ; but better as without the patch (without it does not even
attempt to do wpa and nm says that the card does not support wpa)
Comment 4 John W. Linville 2007-04-24 14:28:07 EDT
I am seeing some reports of people have success w/ WPA on recent kernels.  Are 
you still experiencing this problem?
Comment 5 drago01 2007-04-30 09:51:47 EDT
sorry for the late reply... yes I get the same with test4 but also a message
that it could not set the freq (input/output) error (this might be fixed with
the rate stuff fixed in 0.0.14 but still have to test).
Comment 6 drago01 2007-05-01 09:54:57 EDT
I tested the kernel 2.6.21-1.3121 which includes iwlwifi 0.0.15 and it works
fine. acciotated to a wpa enabled ap without any problems. I only got one
lockdep warning (which I cannot reproduce).
Comment 7 drago01 2007-05-01 10:08:42 EDT
Created attachment 153862 [details]
lockdep error

It happend again here so I attached it (captured it the first time but this is
the same)
(the driver still works)
Comment 8 John W. Linville 2007-05-01 10:20:57 EDT

Need to figure-out some lockdep annotation to get rid of that spew...
Comment 9 drago01 2007-05-01 14:52:33 EDT
ok I tested 3122 now (with iwlwifi 0.0.16) works fine too ;)
I also copied a large file over the wpa encrypted wireless network and it worked
without any problems.
there is only a problem with the killswitch which I reported upstream a minute ago.
Comment 10 drago01 2007-05-01 14:53:26 EDT
I also don't see any of this lines anymore:
"ioctl[SIOCSIWAUTH]: Operation not supported"
Comment 11 Will Woods 2007-05-10 12:40:48 EDT
So, does this mean the patches are included and this bug can be closed?

Note You need to log in before you can comment on or make changes to this bug.